#{extends 'borderNG.html' /}

#{set 'titleHead'}
&{'pegawai.edit'}
#{/set}

<ol class="breadcrumb">
	<li><a href="@{admin.PegawaiCtr.index()}">&{'pegawai.headlist'}</a></li>
	<li class="active">&{'pegawai.edit'}</li>
</ol>

<div class="content">
#{alert /}

#{form @admin.PegawaiCtr.simpan(), method:'POST', id:'formPegawai'}
	#{if pegawai?.peg_id}
		<input type="hidden" name="pegawai.peg_id" value="${pegawai.peg_id}" />
		<input type="hidden" name="pegawai.passw" value="${pegawai.passw}" />
	#{/if}
	#{if agencyId}
		<input type="hidden" name="pegawai.agc_id" value="${agencyId}" />
	#{/if}
	<div class="form-group ">
		<label class="col-lg-2 control-label">&{'pegawai.namap'}<span class="warning"> *</span></label>
		<div class="col-lg-10 #{errorClass 'pegawai.peg_nama' /}">
			<input type="text" size="30" maxlength="80"  name="pegawai.peg_nama" required value="${pegawai?.peg_nama}" class="form-control">
			<span class="help-block">#{error 'pegawai.peg_nama' /}</span>
		</div>
	</div>
	<div class="form-group">
		<label class="col-lg-2 control-label">&{'pegawai.NIP'}<span class="warning"> *</span></label>

		<div class="col-lg-10">
			#{if pegawai?.peg_nip}
				<input type="text" maxlength="18" id="nip" name="pegawai.peg_nip" value="${pegawai.peg_nip}" required class="form-control #{validate 'pegawai.peg_nip'/}" onkeypress="return isNumberKey(event)"/>
			#{/if}
			#{else}
				<input type="text" maxlength="18" id="nip" name="pegawai.peg_nip" value="${pegawai?.peg_nip}"  class="form-control #{validate 'pegawai.peg_nip'/}" onkeypress="return isNumberKey(event)"/>
			#{/else}
			<div class="invalid-feedback">#{error 'pegawai.peg_nip' /}</div>

		</div>
	</div>
	<div class="form-group">
		<label class="col-lg-2 control-label">&{'pegawai.userid'}<span class="warning"> *</span></label>
		<div class="col-lg-10 #{errorClass 'pegawai.peg_namauser'/}">
			#{if pegawai?.peg_namauser && pegawai?.peg_id}
				<p class="form-control-static">${pegawai.peg_namauser}</p>
				<input type="hidden" name="pegawai.peg_namauser" value="${pegawai.peg_namauser}" />
			#{/if}
			#{else}
				<input type="text" size="10" id = "userid" maxlength=80 name="pegawai.peg_namauser" required value="${pegawai?.peg_namauser}" class="form-control #{validate 'pegawai.peg_namauser'/}"/>
				<div class="invalid-feedback">#{error 'pegawai.peg_namauser' /}</div>
			#{/else}
		</div>
	</div>
	#{if pegawai?.peg_id}
		<div class="form-group">
			<label class="col-lg-2 control-label">&{'pegawai.gantipwd'}</label>
			<div class="col-lg-10">
				<input id="chkPassword" class="checkbox" onClick="$('#change').toggle();" name="chkPassword" type="checkbox"/>
			</div>
		</div>
		<div id="change" style="display:none;">
			<div class="form-group">
				<label class="col-lg-2 control-label">&{'pegawai.pwdbaru'}<span class="warning"> *</span></label>
                <div class="col-md-6 #{errorClass 'newPassword'/}">
                    <div class="input-group">
                        <input type="text" size="10" name="newPassword" class="form-control #{validate 'newPassword'/}"
                               value="${flash.newPassword}" readonly />
                        <span class="input-group-append">
						<button class="btn btn-secondary btn-cp" type="button"><span class="fa fa-copy"></span></button>
					</span>
						<div class="invalid-feedback">#{error 'newPassword' /}</div>
                    </div>
                </div>
                <div class="col-lg-2">
                    <button type="button" class="btn btn-primary" id="generate-pass">Generate</button>
                </div>
			</div>
		</div>
	#{/if}
	#{else}
		<div class="form-group">
			<label class="col-lg-2 control-label">&{'pegawai.pwdbaru'}<span class="warning"> *</span></label>
			<div class="col-md-6 #{errorClass 'newPassword'/}">
                <div class="input-group">
                    <input type="text" name="newPassword" class="form-control #{validate 'newPassword'/}" readonly />
                    <span class="input-group-addon">
						<button class="btn btn-secondary btn-cp" type="button"><span class="fa fa-copy"></span></button>
					</span>
					<div class="invalid-feedback">#{error 'newPassword' /}</div>
                </div>

			</div>
			<div class="col-lg-2">
				<button type="button" class="btn btn-primary" id="generate-pass">Generate</button>
			</div>
		</div>
	#{/else}
	<div class="form-group">
		<label class="col-lg-2 control-label">&{'pegawai.alamat'}</label>
		<div class="col-lg-10">
			<textarea cols="25" rows="4" name="pegawai.peg_alamat" class="form-control">${pegawai?.peg_alamat}</textarea>
		</div>
	</div>
	<div class="form-group">
		<label class="col-lg-2 control-label">&{'pegawai.telepon'} <span class="warning"> *</span></label>
		<div class="col-lg-10 #{errorClass 'pegawai.peg_telepon'/}">
			<input type="text" id="telp" size="15" maxlength="20" name="pegawai.peg_telepon" required value="${pegawai?.peg_telepon}" class="form-control" onkeypress="return isNumberKey(event)">
			<span class="help-block">#{error 'pegawai.peg_telepon' /}</span>
		</div>
	</div>
	<div class="form-group">
		<label class="col-lg-2 control-label">&{'pegawai.email'} <span class="warning"> *</span></label>
		<div class="col-lg-10 #{errorClass 'pegawai.peg_email'/}">
			<input type="text" id="email" size="40" maxlength="80" name="pegawai.peg_email" required value="${pegawai?.peg_email}" class="form-control" placeholder="contoh : lkpp@gmail.com">
			<span class="help-block">#{error 'pegawai.peg_email' /}</span><span id="emailspan"></span>
		</div>
	</div>
	<div class="form-group">
		<label class="col-lg-2 control-label">&{'pegawai.pangkat'}</label>
		<div class="col-lg-10">
			<input type="text" size="20" maxlength="30" name="pegawai.peg_pangkat" value="${pegawai?.peg_pangkat}" class="form-control">
		</div>
	</div>
	<div class="form-group">
		<label class="col-lg-2 control-label">&{'pegawai.jabatan'}</label>
		<div class="col-lg-10">
			<input type="text" size="20" maxlength="100" name="pegawai.peg_jabatan" value="${pegawai?.peg_jabatan}" class="form-control">
		</div>
	</div>
	<div class="form-group">
		<label class="col-lg-2 control-label">&{'pegawai.golongan'}</label>
		<div class="col-lg-10">
			<input type="text" size="7" maxlength="5" name="pegawai.peg_golongan" value="${pegawai?.peg_golongan}" class="form-control">
		</div>
	</div>
	<div class="form-group">
		<label class="col-lg-2 control-label">&{'pegawai.aktif'}</label>
		<div class="col-lg-10">
			<input type="checkbox" class="form-check-inline" name="isActive" id="isActive"  #{if pegawai == null || pegawai?.getIsActive() } checked="checked" #{/if} /> &nbsp;
		</div>
	</div>
	<div class="form-group">
		<label class="col-lg-2 control-label">&{'pegawai.pengangkatan'} <span class="warning"> *</span></label>
		<div class="col-lg-10 #{errorClass 'group'/}">
			#{selectGroup 'group',value:group, required:true/}
			<div class="invalid-feedback">#{error 'group' /}</div>
		</div>
	</div>

	#{if active_user.adminAgency}
		<div class="form-group">
			<label class="col-lg-2 control-label">&{'pegawai.nosertifikat'}<span id="noPbj" class="warning"> *</span></label>
			<div class="col-lg-10 #{errorClass 'pegawai.peg_no_pbj'/}">
				<input type="text" style="width: 200px;" minlength="15" maxlength="15" id="peg_no_pbj" name="pegawai.peg_no_pbj" value="${pegawai?.peg_no_pbj}" class="form-control" placeholder="15 Digit Angka" onkeypress="return isNumberKey(event)">
				<span class="help-block">#{error 'pegawai.peg_no_pbj' /}</span>
			</div>
		</div>
	#{/if}
	<div class="form-group">
		<label class="col-lg-2 control-label">&{'pegawai.nosk'} <span class="warning"> *</span></label>
		<div class="col-lg-10 #{errorClass 'pegawai.peg_no_sk'/}">
			<input type="text" size="20" maxlength="40" name="pegawai.peg_no_sk" value="${pegawai?.peg_no_sk}" class="form-control">
			<span class="help-block">#{error 'pegawai.peg_no_sk' /}</span>
		</div>
	</div>
	<div class="form-group">
		<label class="col-lg-2 control-label">&{'pegawai.masask'}</label>
		<div class="col-lg-10">
			<div class="input-group date width-normal">
				<input type="text" size="20" maxlength="40" name="pegawai.peg_masa_berlaku" value="${pegawai?.peg_masa_berlaku}"  class="form-control"/>
				<span class="input-group-addon"><i class="fa fa-calendar"></i></span>
			</div>
		</div>
	</div>
	<div class="form-group row">
		<div class="col-lg-offset-2 col-lg-10">
			#{saveButton /}
       		#{backButton action:@admin.PegawaiCtr.index() /}
		</div>
	</div>
#{/form}
	<div class="bs-callout bs-callout-warning">
		<span class="warning">*</span> &{'tag.data_wajib_diisi'}
	</div>
</div>


#{set 'custom_script'}
<script type="text/javascript" src="#{assets '/js/autoNumeric.min.js'/}"></script>
<script type="text/javascript" src="#{assets '/js/form.util.js'/}"></script>
<script type="text/javascript">
    var kabUrl = #{jsRoute @JSONCtr.daftar_kabupaten(':id') /};
    var satkerUrl = #{jsRoute @JSONCtr.daftar_satker_nocache(':id', ':tahun') /};
    var update_satker  = #{jsRoute @admin.UtilityCtr.update_satker(':id') /};
    $(document).ready(function(){
		#{if instansiId} var instansiId="${instansiId}" #{/if} #{else} var instansiId=""; #{/else}
		#{if panitia?.stk_id} var satkerId=${panitia?.stk_id} #{/if} #{else} var satkerId=0; #{/else}
        $('[name=hapus]').click(function(){
            var count = $('input:checkbox:checked').length;
            if (count === 0){
                alert("Anda belum memilih data, Silakan pilih data terlebih dahulu");
                return false;
            } else{
                return confirm('Anda yakin akan menghapus data ini?');
            }
        });


    });
    $(document).on('change', '#propinsi', function(){
        var id = $(this).val();
        $.getJSON(kabUrl.url({id:id}), function(data){
            var options = '';
            for (var i = 0; i < data.length; i++) {
                options += '<option value="' + data[i].id + '">' + data[i].label + '</option>';
            }
            $('#kabupaten').html(options);
            $('#kabupaten').selectpicker('refresh');
        })
    })

    $(document).on('change', '#instansi', function(){
        var instansi_id=$(this).val();
        getJsonSatker(instansi_id);
    });

    $(document).on('click', '#updateSatker', function(){
        var instansi_id=$('#instansi').val();
        console.log('update Satuan kerja dari instansi');
        $.ajax({
            url: '@{admin.UtilityCtr.update_satker()}', type:'POST',
            data : {id:instansi_id}
        }).done(function(){
            console.log('satuan kerja berhasil di update');
            getJsonSatker(instansi_id);
        })
    });

    function getJsonSatker(instansi_id){
        var tahun = "";
        $.getJSON(satkerUrl.url({id:instansi_id, tahun:tahun}), function(data){
            var options = '';
            for (var i = 0; i < data.length; i++) {
                options += '<option value="' + data[i].id + '">' + data[i].label + '</option>';
            }
            $('#satker').html(options);
            $('#satker').selectpicker('refresh');
        })
    }

    $("#formPegawai").ready(function(){
		setRequiredNoPbj($("[name='group']").val())
	});

    function setRequiredNoPbj(grups) {
        if (grups == 'PP' || grups == 'PANITIA') {
            $("#noPbj").show();
            $('#peg_no_pbj').attr("required", true);
        } else {
            $("#noPbj").hide();
            $('#peg_no_pbj').attr("required", false);
        }
	}

	$("[name='group']").change(function(){
		setRequiredNoPbj($(this).val())
	});

	//userid tidak boleh input spasi
	$("#userid").keypress(function (e) {
		if (e.which == 32) {
			return false;
		}
	});

	$("#email").blur(function()
	{
		var emailReg = /^([\w-\.]+@([\w-]+\.)+[\w-]{2,4})?$/;
		var emailaddress = $("#email").val();
		if(!emailReg.test(emailaddress)) {
			$("#emailspan").html('<font color="#cc0000">Format Email "' + emailaddress + '" tidak valid!</font>');
			$("#email").val("");
		} else {
			$("#emailspan").html('<font color="#cc0000"></font>');
		}
	});

	$("#generate-pass").on("click", function () {
		$.ajax({
			url: '@{controllers.admin.UtilityCtr.generatePassword()}',
			success: function (pass) {
				$("input[name='newPassword']").val(pass);
			}
		})
	});
	
	$(".btn-cp").on('click', function () {
		var pass = $("input[name='newPassword']")
		pass.select();
        document.execCommand("copy");
        alert("Password berhasil dicopy.")
	})

</script>
#{/set}